****************************************************************************
*        IBM Personal Communications AS/400 and 3270 V4.1 for OS/2         *
*                                                                          *
*                              CSD1                                        *
****************************************************************************

This document contains information about installing CSDs for Personal
Communications AS/400 and 3270 V4.1 for OS/2.

Before starting to install this CSD diskettes
---------------------------------------------

  Before starting to install the CSD, please ensure the following:

    1. Personal Communications AS/400 and 3270 V4.1 for OS/2 is already
       installed on your PC.

    2. Personal Communications is not started; you must stop it if it is
       already running.

    3. No EHLLAPI application programs are started.  You must stop any that
       are running, such as ZIPPRINT or MYPRINT.

How to install the CSD
----------------------
   1. Double-click "Administration Tools" icon in "Personal Communications"
      folder.
   2. Double-click "Maintenance Aid" icon in "Administration Tools" folder.
   3. Select "Install CSD..." button on the maintenance aid window.
   4. Insert CSD diskettes in order.

   Please refer to the user's guide for more detail.

Re-boot after install the CSD
-----------------------------
   If modules which were already loaded during boot (device driver etc.)
   are replaced, new modules are not effective until re-boot.

Note if you are sharing programs
--------------------------------
   If you are sharing programs on the server, the maintenance aid replaces
   CSD fixes to the server only. So, please copy the following file(s) from
   the server to your PC disk by yourself after install the CSD.

      PCSWIN.LST   SYSLEVEL.PCS PCSCOAX.SYS  PCSSDLC.SYS  PCSTDLC.SYS
      PCSHAM.SYS   PCSFLR0.IFS

How to install the CSD to CID server
------------------------------------
   If you created the CID server by INSTALL /A, and there is a client
   workstation, you can install the CSD by the maintenance aid from it.

   If you created the CID server by INSTALL /A, but there is no client
   workstaion, or you created the CID server by XCOPY, you can not use
   the maintenance aid, please transfer files from CSD diskettes to the CID
   server by yourself as follows. In this case, the APAR List of the
   maintenance aid is not updated.

   How to transfer file from CSD diskette to CID server
   ----------------------------------------------------
     Almost all files in CSD diskettes are compressed, and
     the last character of the compressed file name is '_'.
     (for example, PCSWS.EXE is PCSWS.EX_).

     If a file in a CSD diskette is a non-compressed file
     (i.e. The last character of the file name is not '_'),
     please copy it to an appropriate directory of the CID server.

     If a file in a CSD diskette is a compressed file
     (i.e. The last character of the file name is '_'),
     please decompress it and copy to an appropriate directory of the CID
     server with an appropriate name by DECOMP.EXE as follows.
     DECOMP.EXE is in the CID server.

        DECOMP  compressed_file_name  non_compressed_file_name

        ( ex. DECOMP A:\PCSWS.EX_ D:\CID\IMG\PCOMOS2\PCSWS.EXE )

     Non-compressed file names are listed in [file] section of PCSWIN.LST
     in the CSD diskette no. 1.

Information about the Contents of the CSD
-----------------------------------------
  Please refer to APARLIST.TXT in the CSD diskette no. 1 for problems
  that have been fixed in this CSD.

